%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: A remote mail retrieval and forwarding utility
Name: fetchmail
Version: 6.3.23
Release: 1
Source0: http://download.berlios.de/fetchmail/%{name}-%{version}.tar.bz2
Source1: http://download.berlios.de/fetchmail/%{name}-%{version}.tar.bz2.asc
URL: http://fetchmail.berlios.de/
# For a breakdown of the licensing, see COPYING
License: GPL+ and Public Domain
Group: Applications/Internet
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext, openssl-devel >= 0.9.8
Requires: gettext, openssl >= 0.9.8

%description
Fetchmail is a remote mail retrieval and forwarding utility intended
for use over on-demand TCP/IP links, like SLIP or PPP connections.
Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN, IPv6,
and IPSEC) for retrieval. Then Fetchmail forwards the mail through
SMTP so you can read it through your favorite mail client.

Install fetchmail if you need to retrieve mail over SLIP or PPP
connections.


%package -n fetchmailconf
Summary: A GUI utility for configuring your fetchmail preferences.
Group: Applications/Internet
Requires: python, tk, tkinter, %{name} = %{version}-%{release}

%description -n fetchmailconf
Fetchmailconf is a Tcl/Tk GUI application that edits your .fetchmailrc
file in order to configure the fetchmail mail retrieval
program. Fetchmail's numerous options may be confusing to new users,
so fetchmailconf may help to clear up the confusion.

Install fetchmailconf if you need help configuring fetchmail. You'll
need to have Python and Tk installed in order to use fetchmailconf.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-POP3 \
    --enable-IMAP \
    --enable-ETRN \
    --enable-ODMR \
    --enable-RPA \
    --enable-NTLM \
    --enable-SDPS \
    --with-ssl=/opt/freeware

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING FAQ FEATURES NEWS NOTES README README.SSL TODO
%{_bindir}/fetchmail
%{_mandir}/man1/fetchmail.1
%{_datadir}/locale/*/*/*
/usr/bin/fetchmail


%files -n fetchmailconf
%defattr(-,root,system)
%{_bindir}/fetchmailconf
%{python_sitelib}/fetchmailconf.py*
%{_mandir}/man1/fetchmailconf.1
/usr/bin/fetchmailconf


%changelog
* Sun Dec 16 2012 Michael Perzl <michael@perzl.org> - 6.3.23-1
- updated to version 6.3.23

* Sat Sep 01 2012 Michael Perzl <michael@perzl.org> - 6.3.22-1
- updated to version 6.3.22

* Mon Aug 22 2011 Michael Perzl <michael@perzl.org> - 6.3.21-1
- updated to version 6.3.21

* Mon Jun 06 2011 Michael Perzl <michael@perzl.org> - 6.3.20-1
- updated to version 6.3.20

* Sat Nov 20 2010 Michael Perzl <michael@perzl.org> - 6.3.18-1
- updated to version 6.3.18
- removed dependency on gettext >= 0.17

* Fri May 07 2010 Michael Perzl <michael@perzl.org> - 6.3.17-1
- updated to version 6.3.17

* Thu Apr 08 2010 Michael Perzl <michael@perzl.org> - 6.3.16-1
- updated to version 6.3.16

* Tue Nov 17 2009 Michael Perzl <michael@perzl.org> - 6.3.13-1
- first version for AIX V5.1 and higher
